Home > To Load > Loaderror: Cannot Load Such File -- Rubyeventmachine

Loaderror: Cannot Load Such File -- Rubyeventmachine

Contents

Eric-Guo commented Dec 21, 2014 loots right in ruby 2.1.5 mingw windows side myokoym commented Dec 21, 2014 I think eventmachine 1.0.4 works well on RubyInstaller 2.1.5. Contributor luislavena commented Jun 28, 2012 Thanks @Azolo once I get confirmation from @stakach that this new version works, will send the pull request. Search for text in a file, then rename the file with that text Output the first position in your program for each input character Why did Alderaan blow up instantly but stakach commented Jun 26, 2012 I'm still seeing the seg-fault with your re-build @tmm1. his comment is here

stakach commented Jun 29, 2012 @tmm1 Unfortunately I'm seeing an error on all RubyInstallers: Unable to load the EventMachine C extension; To use the pure-ruby reactor, require 'em/pure_ruby' LoadError: cannot load I just setup the environment locally, built OpenSSL 1.0.0j (did some changes to extconf for it) and built a native gem. Review of my T-shirt design Identify shape of the polygons: elongation, roundness, etc How to make a shell read the whole script before executing it? https://gist.github.com/2999990 I don't know what is going on there, I feel like it's probably my fault though. my review here

Loaderror: Cannot Load Such File -- Rubyeventmachine

C:/Ruby21-x64/bin/ruby.exe extconf.rb checking for main() in -lssl... Censure due to holding an Army commission and a seat in Congress What is the intuition behind the formula for the average? I'm totally crazed this week. C:\Users\myokoym>thin Unable to load the EventMachine C extension; To use the pure-ruby reactor, requi re 'em/pure_ruby' Unable to load the EventMachine C extension; To use the pure-ruby reactor, requi re 'em/pure_ruby'

  1. Thank you ruby-on-rails ruby bundler eventmachine share|improve this question asked Feb 12 '13 at 1:53 user984621 12.8k43145266 Did you got any errors with bundle install? –Ismael Abreu Feb 12
  2. If I compile the gem on windows without SSL support it works.
  3. You signed out in another tab or window.
  4. Can I disarm and immediately grapple with Tavern Brawler?
  5. I just installed on my Kali linux with sudo apt-get install ruby-dev and everything resolved.

Sign in to comment Contact GitHub API Training Shop Blog About © 2016 GitHub, Inc. Thanks a lot! Not the answer you're looking for? Install Eventmachine I tested on 1.8.7 and 1.9.3 without issues.

Son's music tastes Can Mirror Image still work while being grappled? You signed in with another tab or window. Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 112 Star 3,450 Fork 537 eventmachine/eventmachine Code Issues 150 Pull requests 29 Projects Bought agency bond (FANNIE MAE 0% 04/08/2027), now what?

How to build a hacking challenge that uses XSS? Bettercap figuring that atm –Vlad Otrocol Nov 8 '14 at 13:55 add a comment| up vote 2 down vote The easiest fix as the message says is just to require 'em/pure_ruby'. no checking for rb_time_new()... Thanks! Sign up for free to join this conversation on GitHub.

Unable To Load The Eventmachine C Extension Windows

yes checking for windows.h... Please uninstall the previous version of the gem I provided before, install this and try. Loaderror: Cannot Load Such File -- Rubyeventmachine I am seeing the -DFDSET_SIZE as part of the gcc command. Loaderror: Cannot Load Such File -- Thin_parser Results logged to C:/Ruby21-x64/lib/ruby/gems/2.1.0/extensions/x64-mingw32/2.1.0 /eventmachine-1.0.3/gem_make.out output looks similar, except for the ruby version.

Contributor luislavena commented Sep 23, 2014 You should not be adding the same devkit to all the versions, 64bits devkit is only for 64bits ruby, which are only 2.0.0 and 2.1.3 this content Could you help me, please, how to fix it? On Jun 19, 2012, at 2:56 AM, Stephen von Takach wrote: @tmm1 @luislavena It's still an issue as FD_SETSIZE needs to be set at compile time otherwise it defaults to 64 Eric-Guo referenced this issue Oct 6, 2014 Closed Can using rake-compiler higher version, even possible to compile in windows. #542 Thermatix commented Nov 10, 2014 Can we get an update on Bundler: Failed To Load Command: Thin (/usr/local/bin/thin)

yes checking for inotify_init() in sys/inotify.h... no checking for __NR_inotify_init in sys/syscall.h... C:/Ruby21-x64/bin/ruby.exe extconf.rb checking for main() in -lssl... weblink I see no logic based on previous @stakach comment that it wouldn't segfault.

This could take a while... If not, I recommend you look at #531 Until that is corrected, it will fail on x64. So this actually works –Gianfranco P.

Already have an account?

Why does cycling use a measure of time ("century") as a measure of distance? stakach commented Jun 19, 2012 Setting setsize to 32767 won't segfault older versions of RubyInstaller. Then when I ran bundle it was missing so see from a bit of googling I had to run gem install bundle. On Sep 23, 2014 3:20 PM, "algritz" [email protected] wrote: I've re-downlaoded the 64 devkit and reinstalled it: C:\Ruby21-x64\devkit>ruby dk.rb install --force [WARN] Updating (with backup) existing gem override for 'C:/Ruby193' [WARN]

Terms Privacy Security Status Help You can't perform that action at this time. Contributor luislavena commented Jun 26, 2012 @Azolo see previous comment, you need libgcc dll in the PATH for this to work, you need devkitvars, you should have gotten a popup indicating I think maybe I never installed a cross-compiled 1.9.3 locally, only 1.9.2. check over here FD_SETSIZE can only be removed completely if compilation occurs during gem installation.

Results logged to C:/Ruby21-x64/lib/ruby/gems/2.1.0/extensions/x64-mingw32/2.1.0 /eventmachine-1.0.3/gem_make.out Could this be because I have many rubies installation, I see some reference to my Ruby 2.0 installation in the error. luislavena referenced this issue Jun 21, 2012 Merged Adjust number of file descriptors for Windows #337 Contributor luislavena commented Jun 21, 2012 @tmm1 see #337 😃 Contributor luislavena commented Jun 23, tmm1 added a commit that referenced this issue Jun 18, 2012 tmm1 remove FD_SETSIZE redefinition /cc

Help, my office wants infinite branch merges as policy; what other options do we have? Lightning Components: What is the easiest way to have an onclick event on a HTML-tag? We should come to an agreement that all ruby implementations running on Windows use a set size of 32767 stakach commented Jun 19, 2012 That or it needs to be compiled no checking for rb_wait_for_single_fd()...

Contributor luislavena commented Jun 26, 2012 @stakach I just checked on my mac.